import { type CreateStoreControllerOptions } from '@pnpm/store-connection-manager';
export declare const rcOptionsTypes: typeof cliOptionsTypes;
export declare function cliOptionsTypes(): {
    background: BooleanConstructor;
    'ignore-stop-requests': BooleanConstructor;
    'ignore-upload-requests': BooleanConstructor;
    port: NumberConstructor;
    protocol: string[];
};
export declare const commandNames: string[];
export declare function help(): string;
export declare function handler(opts: CreateStoreControllerOptions & {
    protocol?: 'auto' | 'tcp' | 'ipc';
    port?: number;
    unstoppable?: boolean;
}, params: string[]): Promise<void> | undefined;
